Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.domain
Class UIGrammar

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.iview.domain.UIGrammar

All Implemented Interfaces:
  Annotated, UIDomainListener, java.io.Serializable, java.util.EventListener

    public class UIGrammar

extends AbstractAnnotatedObject
implements UIDomainListener

A class that holds grammar information - dummy for now.

See Also:
  Serialized Form

Field Summary
`protected java.util.TreeMap` | `genericConstraints` type-rel - GenericConstraint.
`protected UIDomain` | `uiDomain`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`UIGrammar(UIDomain uiDomain)`

Method Summary
`GenericConstraint` | `addGenericConstraint(Constraint c)`
`GenericConstraint` | `addGenericConstraint(Symbol type, Symbol rel, java.lang.String form)`
`void` | `addGenericConstraints(java.util.Collection constraints)`
`void` | `constructAdded(DomainEvent se)`
`void` | `constructAdded(UIDomainEvent se)` Called when a UI construct is added.
`void` | `constructEdited(UIDomainEvent se)` Called when a UI construct is edited.
`void` | `constructRemoved(UIDomainEvent se)` Called when a UI construct is removed.
`void` | `domainCleared(UIDomainEvent se)` Called when the domain is cleared.
`void` | `domainEdited(UIDomainEvent se)` Called when the domain's own fields changed (currently only name).
`void` | `domainSet(UIDomainEvent se)` Called when the domain is added.
`GenericConstraint` | `findGenericConstraint(Constraint c)`
`java.util.List` | `getAllConstraintPatterns(UIDomain uiDomain)` Gets the list of allowed constraint patterns.
`java.util.List` | `getConstraintPatterns()` Gets the list of allowed constraint patterns.
`void` | `initGenericConstraints()` This should really come from a file.
`void` | `loadGenericConstraints(UIDomain uiDomain)`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### genericConstraints

    protected java.util.TreeMap genericConstraints

  type-rel - GenericConstraint. Describes the constraint grammar.

### uiDomain

    protected UIDomain uiDomain

Constructor Detail

### UIGrammar

    public UIGrammar(UIDomain uiDomain)

Method Detail

### initGenericConstraints

    public void initGenericConstraints()

  This should really come from a file.

### addGenericConstraint

    public GenericConstraint addGenericConstraint(Symbol type,
                                                  Symbol rel,
                                                  java.lang.String form)

### addGenericConstraint

    public GenericConstraint addGenericConstraint(Constraint c)

### loadGenericConstraints

    public void loadGenericConstraints(UIDomain uiDomain)

### addGenericConstraints

    public void addGenericConstraints(java.util.Collection constraints)

### findGenericConstraint

    public GenericConstraint findGenericConstraint(Constraint c)

### getAllConstraintPatterns

    public java.util.List getAllConstraintPatterns(UIDomain uiDomain)

  Gets the list of allowed constraint patterns. This is fixed for now.

### getConstraintPatterns

    public java.util.List getConstraintPatterns()

  Gets the list of allowed constraint patterns. This is fixed for now.

### constructAdded

    public void constructAdded(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is added. Use getSource() to get at the domain (UI/IX) in which the event occurred. Use getObject() to get at the object (UI/IX) that has been added.

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructAdded

    public void constructAdded(DomainEvent se)

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructEdited

    public void constructEdited(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is edited. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been edited.

  Specified by:
    `constructEdited` in interface `UIDomainListener`

### constructRemoved

    public void constructRemoved(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when a UI construct is removed. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been removed.

  Specified by:
    `constructRemoved` in interface `UIDomainListener`

### domainCleared

    public void domainCleared(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when the domain is cleared.

  Specified by:
    `domainCleared` in interface `UIDomainListener`

### domainEdited

    public void domainEdited(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when the domain's own fields changed (currently only name).

  Specified by:
    `domainEdited` in interface `UIDomainListener`

### domainSet

    public void domainSet(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when the domain is added.

  Specified by:
    `domainSet` in interface `UIDomainListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD